package me.zhengjie.modules.dmApp.service.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.sql.Timestamp;

@Data
public class AppFoodPjDto implements Serializable {

    @JSONField(serializeUsing= ToStringSerializer.class)
    private String id;

    //菜品名称
    private String name;

    //菜品图片
    private String picture;

    private String userCode;

    private String bh;

    //菜品编号")
    private String code;

    //菜品类型")
    private String type;

    //下单时间")
    private Timestamp orderTime;
}
